Subject: bug#18454: Improve performance when -P (PCRE) is used in UTF-8 locales

From: Paul Eggert <[email-masked]>
Date: Tue, 16 Sep 2014 22:18:29 -0700

Jim Meyering wrote:
> Slightly surprised that 4/6 makes a measurable performance
> difference (didn't check),

It's not measurable.  I should have written it up as a cleanup more than 
as a speedup.

I did like breaking the nominal ZB/s barrier, though, in patch 6/6. 
That's waaaay more than the total throughput of the Internet.  It tops 
even the hypothetical throughput if one recruited the entire US freight 
industry to move nothing but MicroSD cards, which xkcd estimates would 
get only 0.06 ZB/s or so.

http://what-if.xkcd.com/31/